Name:    websocketpp
Summary: C++ WebSocket Protocol Library
Version: 0.8.2
Release: %mkrel 5
Group:   Development/Other
License: BSD
Url:     https://www.zaphoyd.com/websocketpp
Source0: https://github.com/zaphoyd/websocketpp/archive/%{version}/%{name}-%{version}.tar.gz
Source1: websocketpp.pc
# Header only pkg
BuildArch: noarch

# https://github.com/zaphoyd/websocketpp/pull/888
Patch0:         Update-websocketpp-configVersion.cmake.patch

# Fix cmake find boost
# https://github.com/zaphoyd/websocketpp/pull/855
# https://github.com/zaphoyd/websocketpp/commit/3590d77
Patch4:         websocketpp-0.8.2-fix-boost_find_component.patch

# fix c++20 build error
# https://github.com/zaphoyd/websocketpp/issues/991
# https://github.com/zaphoyd/websocketpp/commit/3197a520eb
Patch5:         websocketpp-0.8.2-cpp20-fixes.patch

# https://github.com/zaphoyd/websocketpp/commit/deb0a334471
Patch6:         0001-Update-minimum-required-CMake-version-to-comply-with-CMake-4.0.patch

# https://github.com/zaphoyd/websocketpp/pull/1164
Patch7:         websocketpp-0.8.2-boost-1.87-compat.patch

BuildRequires:  boost-devel
BuildRequires:  cmake

%description
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%package devel
Summary:  C++ WebSocket Protocol Library
Group: Development/Other
Requires: boost-devel

%description devel
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%prep
%autosetup -p1


%build
%cmake -DINSTALL_CMAKE_DIR=%{_datadir}/cmake/websocketpp
%cmake_build


%install
%cmake_install

install -Dp -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pkgconfig/websocketpp.pc


%files devel
%doc changelog.md readme.md roadmap.md
%license COPYING
%{_includedir}/websocketpp/
%{_datadir}/cmake/websocketpp/
%{_datadir}/pkgconfig/websocketpp.pc


%changelog
* Sun Jun 08 2025 daviddavid <daviddavid> 0.8.2-5.mga10
+ Revision: 2190012
- add gentoo patch for boost 1.87 feature removal
- add gentoo patch to fix boost_find_component

* Sun Jun 08 2025 daviddavid <daviddavid> 0.8.2-4.mga10
+ Revision: 2189976
- backport some upstream patches:
 * Update minimum required CMake version to compile with CMake 4.0
 * Remove the use of simple template ids as they have been removed in c++20
 * Update websocketpp-configVersion.cmake
- make it a noarch pkg as header only + cmake config files fixes

* Fri Mar 18 2022 umeabot <umeabot> 0.8.2-3.mga9
+ Revision: 1798770
- Mageia 9 Mass Rebuild

* Thu Sep 09 2021 wally <wally> 0.8.2-2.mga9
+ Revision: 1744720
- rebuild for boost 1.77.0

* Tue Apr 21 2020 daviddavid <daviddavid> 0.8.2-1.mga8
+ Revision: 1570212
- new version: 0.8.2
- remove merged upstream patches

* Thu Feb 20 2020 umeabot <umeabot> 0.8.1-5.mga8
+ Revision: 1545308
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 0.8.1-4.mga8
+ Revision: 1484619
- add patch to support boost 1.70 (should fix cpprest build)
+ wally <wally>
- build with new cmake macros

* Wed Oct 03 2018 daviddavid <daviddavid> 0.8.1-3.mga7
+ Revision: 1317221
- since version 0.8.0 it can't be a noarch pkg anymore due to:
  * check that the installed version has the same 32/64bit-ness as the one
    which is currently searching (see in websocketpp-configVersion.cmake)

* Fri Sep 21 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1292005
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1245470
- new version: 0.8.1
- added websocketpp-0.8.1-cmake-configversion-compatibility-anynewerversion.patch
- update version and URL in websocketpp.pc

* Wed Jul 25 2018 daviddavid <daviddavid> 0.7.0-2.mga7
+ Revision: 1245177
- add patch to make it compatible with openssl-1.1.x

* Tue Oct 04 2016 luigiwalser <luigiwalser> 0.7.0-1.mga6
+ Revision: 1058666
- 0.7.0

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.6.0-1.mga6
+ Revision: 918683
- 0.6.0

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.4.0-1.mga6
+ Revision: 918566
- adapt fedora spec to mageia
- imported package websocketpp


* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.4.0-7
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.4.0-5
- rebuild for Boost 1.58

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.4.0-3
- Rebuild for boost 1.57.0

* Thu Nov 13 2014 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-2
- use (upstreamable) cmake_noarch.patch instead of manually moving files around

* Wed Nov 05 2014 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1
- first try

* Mon Mar 17 2014 prusnak@opensuse.org
- created package (based on a Fedora package by Thomas Sailer)
